curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a08b36-69b1-7dc6-96ad-2a5bba24fa7c",
"organization_id": "01a08b36-69b1-7dc6-96ad-2a5cead35db0",
"name": "Test AI Agent",
"timestamp_created": "2026-09-10T12:06:34.161Z",
"timestamp_updated": "2026-09-10T12:06:34.161Z",
"status": 1,
"payload": {
"integrations": {
"slack": {
"connection_id": "<string>",
"enabled": true,
"connection_name": "<string>",
"channel_id": "<string>",
"channel_name": "<string>"
}
}
},
"type": 1,
"is_auto_created": false,
"created_by": "01a08b36-69b1-7dc6-96ad-2a5d7d740c5a",
"description": "Optional agent description"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Get an AI Deliverability Agent
Retrieve a single AI Deliverability Agent.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Deliverability Agent ID. Call GET /api/v2/ai-agents/deliverability and use the returned agent.id value to retrieve the workspace default agent ID.
"01a08b36-b22a-7668-82c5-015f6fcdbebb"
Response
The requested AI Deliverability Agent
An AI Deliverability Agent
Unique identifier for the AI agent
"01a08b36-69b1-7dc6-96ad-2a5bba24fa7c"
Organization ID
"01a08b36-69b1-7dc6-96ad-2a5cead35db0"
Name of the AI Agent
"Test AI Agent"
Timestamp when the AI agent was created
"2026-09-10T12:06:34.161Z"
Timestamp when the AI agent was updated
"2026-09-10T12:06:34.161Z"
Status of the AI Agent
-1, 0, 1 1
Deliverability Agent payload
Show child attributes
Show child attributes
Type of the AI Agent
1, 2, 3, 4, 6, 7, 8, 9, 10, 11 1
Whether the AI agent was auto-created
false
User ID who created the AI agent
"01a08b36-69b1-7dc6-96ad-2a5d7d740c5a"
Description of the AI agent
"Optional agent description"